<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_jmg_sidebar
 *
 * @copyright   Copyright (C) 2016 - 2017 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
$doc  = JFactory::getDocument();
$doc->addStyleSheet(Juri::base() . 'modules/mod_jmg_sidebar/assets/css/font-awesome.css');
$doc->addStyleSheet(Juri::base() . 'modules/mod_jmg_sidebar/assets/css/mod_jmg_sidebar_'.$mod_jmg_sidebar_wrapper_position.'.css');
$doc->addScript('https://player.vimeo.com/api/player.js');

$script = '
	  //jQuery.noConflict();
      jQuery(document).ready(function(){
	  	jQuery( "body" ).addClass( "'.$mod_jmg_sidebar_display_mode.'" );
        jQuery( ".mod_jmg_sidebar_button" ).click(function() {
			var getTarget = jQuery(this).attr("data-target");
			var overlay = jQuery( ".mod_jmg_sidebar_overlay" );
			jQuery( ".mod_jmg_sidebar_wrapper" ).addClass( "closed" );
			if(jQuery( getTarget ).hasClass( "open" )){
				jQuery( getTarget ).removeClass( "open" );
				jQuery( ".mod_jmg_sidebar_wrapper" ).removeClass( "closed" );
				if(overlay.hasClass( "mod_jmg_sidebar_overlay_1" )){
					overlay.addClass( "closed" );
					overlay.removeClass( "open" );				
				}
				jQuery( "body" ).removeClass( "pushed" );
			}
			else{
				jQuery( getTarget ).addClass( "open" );
				jQuery( getTarget ).removeClass( "closed" );
				if(overlay.hasClass( "mod_jmg_sidebar_overlay_1" )){
					overlay.addClass( "open" );
					overlay.removeClass( "closed" );
				}
				jQuery( "body" ).addClass( "pushed" );
			}
		});	
		
		jQuery( ".mod_jmg_sidebar_overlay" ).click(function() {
			var overlay = jQuery( ".mod_jmg_sidebar_overlay" );
			if(overlay.hasClass( "mod_jmg_sidebar_overlay_1" )){
				overlay.addClass( "closed" );
				overlay.removeClass( "open" );				
			}
			jQuery( ".mod_jmg_sidebar_wrapper" ).removeClass( "closed" );
			jQuery( ".mod_jmg_sidebar_wrapper" ).removeClass( "open" );
			jQuery( "body" ).removeClass( "pushed" );
		});
		
      });
';

$doc->addScriptDeclaration( $script );

$formscript = '
	jQuery(document).ready(function(){
		jQuery("form.mod_jmg_sidebar_formular").submit(function () {
		var $this = jQuery(this);
		var recipient = $this.find("input[name^=\'_recipient\']");
		var recipients = new Array();
		jQuery(recipient).each(function() {
			recipients.push(jQuery(this).val());
		});
		var success_message = $this.find("input[name=_success_message]").val();
		var status = $this.find("input[name=_status]").val();
		var mod_jmg_sidebar_field_1 = $this.find("input[name=mod_jmg_sidebar_field_1]").val();
		var mod_jmg_sidebar_field_2 = $this.find("input[name=mod_jmg_sidebar_field_2]").val();
		var mod_jmg_sidebar_field_3 = $this.find("input[name=mod_jmg_sidebar_field_3]").val();
		var mod_jmg_sidebar_field_4 = $this.find("input[name=mod_jmg_sidebar_field_4]").val();
		var mod_jmg_sidebar_field_5 = $this.find("input[name=mod_jmg_sidebar_field_5]").val();
		var mod_jmg_sidebar_field_6 = $this.find("textarea[name=mod_jmg_sidebar_field_6]").val();
				request = {
						"type"						: "POST",
						"option" 				 	: "com_ajax",
						"module" 					: "jmg_sidebar",
						"data" 						: {
						   recipients				:   JSON.stringify(recipients),
						   success_message 			:  	success_message,
						   mod_jmg_sidebar_field_1	:	mod_jmg_sidebar_field_1,
						   mod_jmg_sidebar_field_2	:	mod_jmg_sidebar_field_2,
						   mod_jmg_sidebar_field_3	:	mod_jmg_sidebar_field_3,
						   mod_jmg_sidebar_field_4	:	mod_jmg_sidebar_field_4,
						   mod_jmg_sidebar_field_5	:	mod_jmg_sidebar_field_5,
						   mod_jmg_sidebar_field_6	:	mod_jmg_sidebar_field_6
						},
						"dataType"			: "json",
						"format" 			: "raw",
						"contentType"		: "application/json; charset=utf-8",
					};
			jQuery.ajax({
				type   : "POST",
				data   : request,
				success: function (response) {
					jQuery("." + status).html(response);
				}
			});
		return false;
		});
	});
';

if($mod_jmg_sidebar_content_1 == 4 || $mod_jmg_sidebar_content_2 == 4){
	$doc->addScriptDeclaration( $formscript );
}

$youtubescript = '
      var tag = document.createElement("script");

      tag.src = "https://www.youtube.com/iframe_api";
      var firstScriptTag = document.getElementsByTagName("script")[0];
      firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);

      var player_1;
	  var player_2;
	  var player_3;
	  var player_4;
	  var player_5;
	  var player_6;
	  
      function onYouTubeIframeAPIReady() {
        player_1 = new YT.Player("player_1", {
          height: "100%",
          width: "100%",
          videoId: "'.$mod_jmg_sidebar_youtube_id_1.'",
          events: {
            "onReady": onPlayerReady,
            "onStateChange": onPlayerStateChange
          }
        });
		player_2 = new YT.Player("player_2", {
          height: "100%",
          width: "100%",
          videoId: "'.$mod_jmg_sidebar_youtube_id_2.'",
          events: {
            "onReady": onPlayerReady,
            "onStateChange": onPlayerStateChange
          }
        });
      }

      function onPlayerReady(event) {
        //event.target.playVideo();
      }
      var done = false;
      function onPlayerStateChange(event) {
        if (event.data == YT.PlayerState.PLAYING && !done) {
          setTimeout(stopVideo, 6000);
          done = true;
        }
      }
      function stopVideo() {
        player.stopVideo();
      }
';

if($mod_jmg_sidebar_content_1 == 6 || $mod_jmg_sidebar_content_2 == 6){
	$doc->addScriptDeclaration( $youtubescript );
}

$style = '
	.mod_jmg_sidebar_button,
	.mod_jmg_sidebar_button_extern{
		-webkit-border-radius: '.$mod_jmg_sidebar_button_border_radius.'%;
		-moz-border-radius: '.$mod_jmg_sidebar_button_border_radius.'%;
		border-radius: '.$mod_jmg_sidebar_button_border_radius.'%;
	}
	.mod_jmg_sidebar_button_position_1 .mod_jmg_sidebar_button,
	.mod_jmg_sidebar_button_position_1 .mod_jmg_sidebar_button_extern{
		background: '.$mod_jmg_sidebar_button_background_color_1.';
		color: '.$mod_jmg_sidebar_button_text_color_1.';
	}
	.mod_jmg_sidebar_button_position_2 .mod_jmg_sidebar_button,
	.mod_jmg_sidebar_button_position_2 .mod_jmg_sidebar_button_extern{
		background: '.$mod_jmg_sidebar_button_background_color_2.';
		color: '.$mod_jmg_sidebar_button_text_color_2.';
	}
	.mod_jmg_sidebar_body{
		color: '.$mod_jmg_sidebar_wrapper_text_color.';
		background: '.$mod_jmg_sidebar_wrapper_color.';
	}
	.mod_jmg_sidebar_image_container{
		padding: 5px;
	}
';

if($mod_jmg_sidebar_wrapper_position == 'bottom_right'){
	$style .= '
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_overlap,
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_popup{
		right: -'.$mod_jmg_sidebar_wrapper_width.';
		width: '.$mod_jmg_sidebar_wrapper_width.';
		height: '.$mod_jmg_sidebar_wrapper_height.';
		bottom: '.$mod_jmg_sidebar_wrapper_margin.';
	}
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_push{
		right: -'.$mod_jmg_sidebar_wrapper_width.';
		width: '.$mod_jmg_sidebar_wrapper_width.';
		height: 100%;
		bottom: 0;
	}
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_anim_slide.mod_jmg_sidebar_popup.open{
		right: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
	}
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_anim_flip.mod_jmg_sidebar_popup.open{
		animation-name: flippopup;
		animation-duration: 300ms;
		animation-iteration-count: 1;
		animation-timing-function: linear;
		transform: rotateY(0deg);
		right: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
	}
	@keyframes flippopup { 
			0% { 
				transform: perspective( 1000px ) rotateY( -90deg );
				filter: opacity(0%);
				right: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
			} 
			100% { 
				transform: perspective( 1000px ) rotateY( 0deg );
				filter: opacity(100%);
				right: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
			}
	}
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_anim_bounce.mod_jmg_sidebar_popup.open{
		right: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
	}
	body.mod_jmg_sidebar_push.pushed{
		margin-right: '.$mod_jmg_sidebar_wrapper_width.';
	}
	@media (max-width: 767px) {
		.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_overlap,
		.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_popup,
		.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_push{
			right: -100%;
			width: 100%;
			height: 100%;
			bottom: 0px;
		}
		.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_popup.open{
			right: 0;
		}
		body.mod_jmg_sidebar_push.pushed{
			margin-right: '.$mod_jmg_sidebar_wrapper_width.';
		}
		.smartphone_0{
			display: none !important;
		}
	}
	';
}

else if($mod_jmg_sidebar_wrapper_position == 'bottom_left'){
	$style .= '
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_overlap,
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_popup{
		left: -'.$mod_jmg_sidebar_wrapper_width.';
		width: '.$mod_jmg_sidebar_wrapper_width.';
		height: '.$mod_jmg_sidebar_wrapper_height.';
		bottom: '.$mod_jmg_sidebar_wrapper_margin.';
	}
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_push{
		left: -'.$mod_jmg_sidebar_wrapper_width.';
		width: '.$mod_jmg_sidebar_wrapper_width.';
		height: 100%;
		bottom: 0;
	}
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_anim_slide.mod_jmg_sidebar_popup.open{
		left: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
	}
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_anim_flip.mod_jmg_sidebar_popup.open{
		animation-name: flippopup;
		animation-duration: 300ms;
		animation-iteration-count: 1;
		animation-timing-function: linear;
		transform: rotateY(0deg);
		left: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
	}
	@keyframes flippopup { 
			0% { 
				transform: perspective( 1000px ) rotateY( 90deg );
				filter: opacity(0%);
				left: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
			} 
			100% { 
				transform: perspective( 1000px ) rotateY( 0deg );
				filter: opacity(100%);
				left: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
			}
	}
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_anim_bounce.mod_jmg_sidebar_popup.open{
		left: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
	}
	body.mod_jmg_sidebar_push.pushed{
		margin-left: '.$mod_jmg_sidebar_wrapper_width.';
	}
	@media (max-width: 767px) {
		.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_overlap,
		.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_popup,
		.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_push{
			left: -100%;
			width: 100%;
			height: 100%;
			bottom: 0px;
		}
		.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_popup.open{
			left: 0;
		}
		body.mod_jmg_sidebar_push.pushed{
			margin-left: '.$mod_jmg_sidebar_wrapper_width.';
		}	
		.smartphone_0{
			display: none !important;
		}
	}
	';
}

else if($mod_jmg_sidebar_wrapper_position == 'top_right'){
	$style .= '
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_overlap,
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_popup{
		right: -'.$mod_jmg_sidebar_wrapper_width.';
		width: '.$mod_jmg_sidebar_wrapper_width.';
		height: '.$mod_jmg_sidebar_wrapper_height.';
		top: '.$mod_jmg_sidebar_wrapper_margin.';
	}
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_push{
		right: -'.$mod_jmg_sidebar_wrapper_width.';
		width: '.$mod_jmg_sidebar_wrapper_width.';
		height: 100%;
		top: 0;
	}
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_anim_slide.mod_jmg_sidebar_popup.open{
		right: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
	}
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_anim_flip.mod_jmg_sidebar_popup.open{
		animation-name: flippopup;
		animation-duration: 300ms;
		animation-iteration-count: 1;
		animation-timing-function: linear;
		transform: rotateY(0deg);
		right: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
	}
	@keyframes flippopup { 
			0% { 
				transform: perspective( 1000px ) rotateY( -90deg );
				filter: opacity(0%);
				right: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
			} 
			100% { 
				transform: perspective( 1000px ) rotateY( 0deg );
				filter: opacity(100%);
				right: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
			}
	}
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_anim_bounce.mod_jmg_sidebar_popup.open{
		right: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
	}
	body.mod_jmg_sidebar_push.pushed{
		margin-right: '.$mod_jmg_sidebar_wrapper_width.';
	}
	@media (max-width: 767px) {
		.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_overlap,
		.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_popup,
		.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_push{
			right: -100%;
			width: 100%;
			height: 100%;
			top: 0px;
		}
		.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_popup.open{
			right: 0;
		}
		body.mod_jmg_sidebar_push.pushed{
			margin-right: '.$mod_jmg_sidebar_wrapper_width.';
		}	
		.smartphone_0{
			display: none !important;
		}
	}
	';
}

else if($mod_jmg_sidebar_wrapper_position == 'top_left'){
	$style .= '
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_overlap,
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_popup{
		left: -'.$mod_jmg_sidebar_wrapper_width.';
		width: '.$mod_jmg_sidebar_wrapper_width.';
		height: '.$mod_jmg_sidebar_wrapper_height.';
		top: '.$mod_jmg_sidebar_wrapper_margin.';
	}
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_push{
		left: -'.$mod_jmg_sidebar_wrapper_width.';
		width: '.$mod_jmg_sidebar_wrapper_width.';
		height: 100%;
		top: 0;
	}
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_anim_slide.mod_jmg_sidebar_popup.open{
		left: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
	}
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_anim_flip.mod_jmg_sidebar_popup.open{
		animation-name: flippopup;
		animation-duration: 300ms;
		animation-iteration-count: 1;
		animation-timing-function: linear;
		transform: rotateY(0deg);
		left: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
	}
	@keyframes flippopup { 
			0% { 
				transform: perspective( 1000px ) rotateY( 90deg );
				filter: opacity(0%);
				left: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
			} 
			100% { 
				transform: perspective( 1000px ) rotateY( 0deg );
				filter: opacity(100%);
				left: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
			}
	}
	.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_anim_bounce.mod_jmg_sidebar_popup.open{
		left: calc(50% - '.((int)$mod_jmg_sidebar_wrapper_width / 2).'px);
	}
	body.mod_jmg_sidebar_push.pushed{
		margin-left: '.$mod_jmg_sidebar_wrapper_width.';
	}
	@media (max-width: 767px) {
		.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_overlap,
		.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_popup,
		.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_push{
			left: -100%;
			width: 100%;
			height: 100%;
			top: 0px;
		}
		.mod_jmg_sidebar_wrapper.mod_jmg_sidebar_popup.open{
			left: 0;
		}
		body.mod_jmg_sidebar_push.pushed{
			margin-left: '.$mod_jmg_sidebar_wrapper_width.';
		}	
		.smartphone_0{
			display: none !important;
		}
	}
	';
}

$doc->addStyleDeclaration( $style );
//$menu =   &JSite::getMenu();
$menu = JFactory::getApplication()->getMenu();

$mod_jmg_sidebar_headline_1 = ($mod_jmg_sidebar_headline_1 != '')? '<'.$mod_jmg_sidebar_tab_heading.'>'.$mod_jmg_sidebar_headline_1.'</'.$mod_jmg_sidebar_tab_heading.'>' : '';
$mod_jmg_sidebar_headline_2 = ($mod_jmg_sidebar_headline_2 != '')? '<'.$mod_jmg_sidebar_tab_heading.'>'.$mod_jmg_sidebar_headline_2.'</'.$mod_jmg_sidebar_tab_heading.'>' : '';

$mod_jmg_sidebar_formular = '
<div class="control-group">
<label class="control-label control_label_display_'.$mod_jmg_sidebar_form_label_display.'">'.JText::_('MOD_JMG_SIDEBAR_FORM_NAME').':<span class="require">*</span></label>
<div class="controls ">
<input value="" name="mod_jmg_sidebar_field_1" class="text" type="text" placeholder="'.JText::_('MOD_JMG_SIDEBAR_FORM_NAME').'">
</div>
</div>
<div class="control-group">
<label class="control-label control_label_display_'.$mod_jmg_sidebar_form_label_display.'">'.JText::_('MOD_JMG_SIDEBAR_FORM_STREET').':</label>
<div class="controls ">
<input value="" name="mod_jmg_sidebar_field_2" class="text" type="text" placeholder="'.JText::_('MOD_JMG_SIDEBAR_FORM_STREET').'">
</div>
</div>
<div class="control-group">
<label class="control-label control_label_display_'.$mod_jmg_sidebar_form_label_display.'">'.JText::_('MOD_JMG_SIDEBAR_FORM_ZIP').':</label>
<div class="controls ">
<input value="" name="mod_jmg_sidebar_field_3" class="text" type="text" placeholder="'.JText::_('MOD_JMG_SIDEBAR_FORM_ZIP').'">
</div>
</div>
<div class="control-group">
<label class="control-label control_label_display_'.$mod_jmg_sidebar_form_label_display.'">'.JText::_('MOD_JMG_SIDEBAR_FORM_PHONE').':<span class="require">*</span></label>
<div class="controls ">
<input value="" name="mod_jmg_sidebar_field_4" class="text" type="text" placeholder="'.JText::_('MOD_JMG_SIDEBAR_FORM_PHONE').'">
</div>
</div>
<div class="control-group">
<label class="control-label control_label_display_'.$mod_jmg_sidebar_form_label_display.'">'.JText::_('MOD_JMG_SIDEBAR_FORM_EMAIL').':</label>
<div class="controls ">
<input value="" name="mod_jmg_sidebar_field_5" class="text" type="text" placeholder="'.JText::_('MOD_JMG_SIDEBAR_FORM_EMAIL').'">
</div>
</div>
<div class="control-group">
<label class="control-label control_label_display_'.$mod_jmg_sidebar_form_label_display.'">'.JText::_('MOD_JMG_SIDEBAR_FORM_MESSAGE').':</label>
<div class="controls ">
<textarea class="kontakt" name="mod_jmg_sidebar_field_6" rows="4" placeholder="'.JText::_('MOD_JMG_SIDEBAR_FORM_MESSAGE').'"></textarea>
</div>
</div>
<div class="control-group">
<label class="control-label">&nbsp;</label>
<div class="controls ">
<input id="mod_jmg_sidebar_form_submit" value="'.JText::_('MOD_JMG_SIDEBAR_FORM_SEND').'" type="submit">
<input value="'.JText::_('MOD_JMG_SIDEBAR_FORM_DELETE').'" type="reset">
</div>
</div>
</form>
</div>
';

if($mod_jmg_sidebar_content_1 == 1) $mod_jmg_sidebar_container_1 = $mod_jmg_sidebar_text_1;

else if($mod_jmg_sidebar_content_1 == 2){
	$renderer = $doc->loadRenderer('modules');
    $position = $mod_jmg_sidebar_modul_1;
    $options  = array('style' => 'raw');
    $mod_jmg_sidebar_container_1 = $renderer->render($position, $options, null);
}
else if($mod_jmg_sidebar_content_1 == 3){
	$myurl = ($menu->getItem($mod_jmg_sidebar_menu_item_1)->link);
	$uriParser = new JURI($myurl);
	$myArticleId = $uriParser->getVar("id");
	$article = JControllerLegacy::getInstance('Content')->getModel('Article')->getItem($myArticleId);
	$mod_jmg_sidebar_container_1 = '<'.$mod_jmg_sidebar_tab_heading.'>'.$article->title.'</'.$mod_jmg_sidebar_tab_heading.'>';
	$mod_jmg_sidebar_container_1 .= $article->introtext;
}
else if($mod_jmg_sidebar_content_1 == 4){
	$mod_jmg_sidebar_container_1 = '<div class="mod_jmg_sidebar_formular_1_status">
	<form class="mod_jmg_sidebar_formular" method="Post" action="formular.php" target="blank">'; 
	foreach ($mod_jmg_sidebar_contact_form_1_recipient as $key => $value) {
    	$mod_jmg_sidebar_container_1 .= '<input name="_recipient[]" value="'.$value->mod_jmg_sidebar_contact_form_recipient.'" type="hidden">';
	}
	$mod_jmg_sidebar_container_1 .= '<input name="_success_message" value="'.$mod_jmg_sidebar_contact_form_1_success_message.'" type="hidden">
	<input name="_status" value="mod_jmg_sidebar_formular_1_status" type="hidden">
    <input name="_subject" value="" type="hidden">
    <input name="_required" value="Name,Telefon" type="hidden">
	'.$mod_jmg_sidebar_formular;
}
else if($mod_jmg_sidebar_content_1 == 5){
	foreach ($mod_jmg_sidebar_image_1 as $key => $value) {
    	$mod_jmg_sidebar_container_1 .= '<div class="mod_jmg_sidebar_image_container">';
		if($value->mod_jmg_sidebar_image_link == 1)$mod_jmg_sidebar_container_1 .= '<a href="'.$value->mod_jmg_sidebar_image_link_url.'" target="'.$value->mod_jmg_sidebar_image_link_target.'">';
		$mod_jmg_sidebar_container_1 .= '<img src="'.$value->mod_jmg_sidebar_image.'" alt="'.$value->mod_jmg_sidebar_image_alt.'" />';
		if($value->mod_jmg_sidebar_image_link == 1)$mod_jmg_sidebar_container_1 .= '</a>';
		$mod_jmg_sidebar_container_1 .= '</div>';
	}
}
else if($mod_jmg_sidebar_content_1 == 6){
    $mod_jmg_sidebar_container_1 = '<div class="mod_jmg_sidebar_responsive-video"><div id="player_1"></div></div>';
}
else if($mod_jmg_sidebar_content_1 == 7){
	$article = JControllerLegacy::getInstance('Content')->getModel('Article')->getItem($mod_jmg_sidebar_article_id_1);
	$mod_jmg_sidebar_container_1 = $article->introtext;
}
else if($mod_jmg_sidebar_content_1 == 9){
	$mod_jmg_sidebar_container_1 = '<div class="mod_jmg_sidebar_responsive-video">
	<iframe src="https://player.vimeo.com/video/'.$mod_jmg_sidebar_vimeo_id_1.'" width="100%" height="100%" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
	</div>';
}

if($mod_jmg_sidebar_content_2 == 1) $mod_jmg_sidebar_container_2 = $mod_jmg_sidebar_text_2;

else if($mod_jmg_sidebar_content_2 == 2){
	$renderer = $doc->loadRenderer('modules');
    $position = $mod_jmg_sidebar_modul_2;
    $options  = array('style' => 'raw');
    $mod_jmg_sidebar_container_2 = $renderer->render($position, $options, null);
}
else if($mod_jmg_sidebar_content_2 == 3){
	$myurl = ($menu->getItem($mod_jmg_sidebar_menu_item_2)->link);
	$uriParser = new JURI($myurl);
	$myArticleId = $uriParser->getVar("id");
	$article = JControllerLegacy::getInstance('Content')->getModel('Article')->getItem($myArticleId);
	$mod_jmg_sidebar_container_2 = '<'.$mod_jmg_sidebar_tab_heading.'>'.$article->title.'</'.$mod_jmg_sidebar_tab_heading.'>';
	$mod_jmg_sidebar_container_2 .= $article->introtext;
}
else if($mod_jmg_sidebar_content_2 == 4){
	$mod_jmg_sidebar_container_2 = '<div class="mod_jmg_sidebar_formular_2_status">
	<form class="mod_jmg_sidebar_formular" method="Post" action="formular.php" target="blank">'; 
	foreach ($mod_jmg_sidebar_contact_form_2_recipient as $key => $value) {
    	$mod_jmg_sidebar_container_2 .= '<input name="_recipient[]" value="'.$value->mod_jmg_sidebar_contact_form_recipient.'" type="hidden">';
	}
	$mod_jmg_sidebar_container_2 .= '<input name="_success_message" value="'.$mod_jmg_sidebar_contact_form_2_success_message.'" type="hidden">
	<input name="_status" value="mod_jmg_sidebar_formular_2_status" type="hidden">
    <input name="_subject" value="" type="hidden">
    <input name="_required" value="Name,Telefon" type="hidden">
	'.$mod_jmg_sidebar_formular;
}
else if($mod_jmg_sidebar_content_2 == 5){
	foreach ($mod_jmg_sidebar_image_2 as $key => $value) {
    	$mod_jmg_sidebar_container_2 .= '<div class="mod_jmg_sidebar_image_container">';
		if($value->mod_jmg_sidebar_image_link == 1)$mod_jmg_sidebar_container_2 .= '<a href="'.$value->mod_jmg_sidebar_image_link_url.'" target="'.$value->mod_jmg_sidebar_image_link_target.'">';
		$mod_jmg_sidebar_container_2 .= '<img src="'.$value->mod_jmg_sidebar_image.'" alt="'.$value->mod_jmg_sidebar_image_alt.'" />';
		if($value->mod_jmg_sidebar_image_link == 1)$mod_jmg_sidebar_container_2 .= '</a>';
		$mod_jmg_sidebar_container_2 .= '</div>';
	}
}
else if($mod_jmg_sidebar_content_2 == 6){
    $mod_jmg_sidebar_container_2 = '<div class="mod_jmg_sidebar_responsive-video"><div id="player_2"></div></div>';
}
else if($mod_jmg_sidebar_content_2 == 7){
	$article = JControllerLegacy::getInstance('Content')->getModel('Article')->getItem($mod_jmg_sidebar_article_id_2);
	$mod_jmg_sidebar_container_2 = $article->introtext;
}
else if($mod_jmg_sidebar_content_2 == 9){
	$mod_jmg_sidebar_container_2 = '<div class="mod_jmg_sidebar_responsive-video">
	<iframe src="https://player.vimeo.com/video/'.$mod_jmg_sidebar_vimeo_id_2.'" width="100%" height="100%" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
	</div>';
}

$mod_jmg_sidebar_module_info = '<div class="mod_jmg_sidebar_copyright"><a href="https://www.shop.framotec.com/joomla/module/35/jmg-sidebar?c=14" target="_blank">Powered by JooMega - FramoTec</a></div>';
?>

<div class="mod_jmg_sidebar_overlay smartphone_<?php echo $mod_jmg_sidebar_show_on_smartphone;?> mod_jmg_sidebar_overlay_<?php echo $mod_jmg_sidebar_overlay;?> <?php echo $mod_jmg_sidebar_overlay_class;?>"></div>

<?php if ($mod_jmg_sidebar_content_active_1 == 1): ?>
<!--mod_jmg_sidebar_wrapper_1-->
<div class="mod_jmg_sidebar_wrapper <?php echo $mod_jmg_sidebar_display_mode;?> mod_jmg_sidebar_1 smartphone_<?php echo $mod_jmg_sidebar_show_on_smartphone;?> <?php echo $mod_jmg_sidebar_open_on_page_load_tabs[0];?> <?php echo $mod_jmg_sidebar_display_animation; ?>">
	<div class="mod_jmg_sidebar_body">
		<div class="mod_jmg_sidebar_container mod_jmg_sidebar_scroll_<?php echo $mod_jmg_sidebar_content_scroll_1;?>">
		<div class="mod_jmg_sidebar_headline">
		<?php echo $mod_jmg_sidebar_headline_1;?>
		</div>
		<<?php echo $mod_jmg_sidebar_module_tag_1;?>>
		<?php echo $mod_jmg_sidebar_container_1;?>
		</<?php echo $mod_jmg_sidebar_module_tag_1;?>>
		</div>
		<?php echo $mod_jmg_sidebar_module_info;?>
	</div>
	<div class="mod_jmg_sidebar_button_container mod_jmg_sidebar_button_position_<?php echo $mod_jmg_sidebar_button_position_1;?> mod_jmg_button_size_<?php echo $mod_jmg_sidebar_button_icon_size;?> mod_jmg_sidebar_button_container_effect_<?php echo $mod_jmg_sidebar_button_hover; ?>">
		<?php if ($mod_jmg_sidebar_content_1 == 8): ?>
		<a href="<?php echo $mod_jmg_sidebar_extern_url_1;?>" target="<?php echo $mod_jmg_sidebar_extern_target_1;?>">
		<button class="mod_jmg_sidebar_button_extern mod_jmg_sidebar_button_tooltip_<?php echo $mod_jmg_sidebar_button_tooltip; ?>" data-target=".mod_jmg_sidebar_1" data-tooltip="<?php echo $mod_jmg_sidebar_button_title_1; ?>">
			<i class="fa <?php echo $mod_jmg_sidebar_button_icon_1;?> <?php echo $mod_jmg_sidebar_button_icon_size;?>"><?php echo $mod_jmg_sidebar_button_image_1;?></i>
		</button>
		</a>
		<?php else : ?>
		<button class="mod_jmg_sidebar_button mod_jmg_sidebar_button_tooltip_<?php echo $mod_jmg_sidebar_button_tooltip; ?>" data-target=".mod_jmg_sidebar_1" data-tooltip="<?php echo $mod_jmg_sidebar_button_title_1; ?>">
			<i class="fa <?php echo $mod_jmg_sidebar_button_icon_1;?> <?php echo $mod_jmg_sidebar_button_icon_size;?>"><?php echo $mod_jmg_sidebar_button_image_1;?></i>
		</button>
		<?php endif; ?>
	</div>
</div>
<!--mod_jmg_sidebar_wrapper_1-->
<?php endif; ?>

<?php if ($mod_jmg_sidebar_content_active_2 == 1): ?>
<!--mod_jmg_sidebar_wrapper_2-->
<div class="mod_jmg_sidebar_wrapper <?php echo $mod_jmg_sidebar_display_mode;?> mod_jmg_sidebar_2 smartphone_<?php echo $mod_jmg_sidebar_show_on_smartphone;?> <?php echo $mod_jmg_sidebar_open_on_page_load_tabs[1];?> <?php echo $mod_jmg_sidebar_display_animation; ?>">
	<div class="mod_jmg_sidebar_body">
		<div class="mod_jmg_sidebar_container mod_jmg_sidebar_scroll_<?php echo $mod_jmg_sidebar_content_scroll_2;?>">
		<div class="mod_jmg_sidebar_headline">
		<?php echo $mod_jmg_sidebar_headline_2;?>
		</div>
		<<?php echo $mod_jmg_sidebar_module_tag_2;?>>
		<?php echo $mod_jmg_sidebar_container_2;?>
		</<?php echo $mod_jmg_sidebar_module_tag_2;?>>
		</div>
		<?php echo $mod_jmg_sidebar_module_info;?>
	</div>
	<div class="mod_jmg_sidebar_button_container mod_jmg_sidebar_button_position_<?php echo $mod_jmg_sidebar_button_position_2;?> mod_jmg_button_size_<?php echo $mod_jmg_sidebar_button_icon_size;?> mod_jmg_sidebar_button_container_effect_<?php echo $mod_jmg_sidebar_button_hover; ?>">
		<?php if ($mod_jmg_sidebar_content_2 == 8): ?>
		<a href="<?php echo $mod_jmg_sidebar_extern_url_2;?>" target="<?php echo $mod_jmg_sidebar_extern_target_2;?>">
		<button class="mod_jmg_sidebar_button_extern mod_jmg_sidebar_button_tooltip_<?php echo $mod_jmg_sidebar_button_tooltip; ?>" data-target=".mod_jmg_sidebar_2" data-tooltip="<?php echo $mod_jmg_sidebar_button_title_2; ?>">
			<i class="fa <?php echo $mod_jmg_sidebar_button_icon_2;?> <?php echo $mod_jmg_sidebar_button_icon_size;?>"><?php echo $mod_jmg_sidebar_button_image_2;?></i>
		</button>
		</a>
		<?php else : ?>
		<button class="mod_jmg_sidebar_button mod_jmg_sidebar_button_tooltip_<?php echo $mod_jmg_sidebar_button_tooltip; ?>" data-target=".mod_jmg_sidebar_2" data-tooltip="<?php echo $mod_jmg_sidebar_button_title_2; ?>">
			<i class="fa <?php echo $mod_jmg_sidebar_button_icon_2;?> <?php echo $mod_jmg_sidebar_button_icon_size;?>"><?php echo $mod_jmg_sidebar_button_image_2;?></i>
		</button>
		<?php endif; ?>
	</div>
</div>
<!--mod_jmg_sidebar_wrapper_2-->
<?php endif; ?>
